[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#211623: partitioner: SRM-aware selection script needed for Alpha



Package: partitioner
Version: 0.07
Tags: d-i patch

Partitioning on most alphas can only be done with fdisk, not cfdisk,
because cfdisk lacks BSD disklabel support (bug #211556).  The attached
patch is a first try at a script for partitioner to use when we're
installing on an alpha.  SRM magic patterned after the srm-reader udeb,
and has not yet been tested.

Cheers,
-- 
Steve Langasek
postmodern programmer
--- /dev/null	1969-12-31 18:00:00.000000000 -0600
+++ partitioner/scripts/alpha.sh	2003-09-18 21:29:27.000000000 -0500
@@ -0,0 +1,27 @@
+
+DISK="$1"
+[ -z "$DISK" ] && exit 1
+
+# Load srm_env.o if we can; this should fail on ARC-based systems.
+(modprobe srm_env || true) 2> /dev/null
+
+# Have SRM, so need BSD disklabels -- always use fdisk.
+if [ -f /proc/srm_environment/named_variables/booted_dev ]; then
+	fdisk $DISK
+	exit $?
+fi
+
+# Otherwise, pick based on the frontend.
+case "$DEBIAN_FRONTEND" in
+"slang")
+	cfdisk $DISK
+	;;
+"newt")
+	cfdisk $DISK
+	;;
+*)
+	fdisk $DISK
+	;;
+esac
+
+exit $?

Attachment: pgpw5bt6X6t0E.pgp
Description: PGP signature


Reply to: